#include <gtk/gtk.h>

/* 
   passing the atom (index) relating to selections
   in /usr/include/gtk-3.0/gdk/gdkselection.h 
*/
gpointer f03_GDK_SELECTION_CLIPBOARD()
{

   return GUINT_TO_POINTER(GDK_SELECTION_CLIPBOARD);

}
GtkTextTag*
f03gtk_text_buffer_create_tag_i (GtkTextBuffer *buffer,
                                 const gchar *tag_name,
                                 const gchar *prop_name,
                                 gint prop_ivalue)
{
   GtkTextTag *tag;

   tag = gtk_text_buffer_create_tag (buffer, tag_name, 
                                     prop_name, prop_ivalue, NULL);

   return tag;
}
GtkTextTag*
f03gtk_text_buffer_create_tag_d (GtkTextBuffer *buffer,
                                 const gchar *tag_name,
                                 const gchar *prop_name,
                                 gdouble prop_dvalue)
{
   GtkTextTag *tag;

   tag = gtk_text_buffer_create_tag (buffer, tag_name, 
                                    prop_name, prop_dvalue, NULL);

   return tag;
}

/* 
   Constant fundamental types, introduced by g_type_init()
   in /usr/include/glib-2.0/gobject/gtype.h

   shift value used in converting numbers to type IDs: 
      #define G_TYPE_FUNDAMENTAL_SHIFT (2)

      #define G_TYPE_MAKE_FUNDAMENTAL(x) ((GType) ((x) << G_TYPE_FUNDAMENTAL_SHIFT))

*/
gulong f03_G_TYPE_BOOLEAN ()
{
  return G_TYPE_MAKE_FUNDAMENTAL (5);
}

gulong f03_G_TYPE_INT ()
{
  return G_TYPE_MAKE_FUNDAMENTAL (6);
}

gulong f03_G_TYPE_STRING ()
{
  return G_TYPE_MAKE_FUNDAMENTAL (16);
}

