!
! Original program by Andrew Krause
! Foundations of GTK+ Development
! Fortran2003 and gtk-fortran version by Henk Krus, 2012
!
program helloworld

  use iso_c_binding

  use gtk, only: gtk_init, gtk_window_new, &
                 GTK_WINDOW_TOPLEVEL, &
                 gtk_window_set_title, &
                 gtk_widget_show, &
                 gtk_main

  implicit none

  type(c_ptr) :: window

  ! initialize GTK+ and all of its supporting libraries
  call gtk_init()

  ! create a new window, give it a title and display it to the user
  window = gtk_window_new(GTK_WINDOW_TOPLEVEL)

  call gtk_window_set_title(window, 'Hello world'//C_NULL_CHAR)
  call gtk_widget_show(window)

  ! hand control over to the main loop
  call gtk_main()

end program helloworld

